package com.ruoyi.ptxlib.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 标签打印文字类
 */
public class PTXLabelText {
    /** 文字类型 0:英文，1：中文*/
    private Integer textType;

    /** 标签间距 */
    private Integer spaceBetween;

    /** x坐标 10 = 3 ~ 4毫米 */
    private Integer x;

    /** y坐标 最小为 标签间距 / 2 - 5 */
    private Integer y;

    /** x轴垂直扩展 字符宽度 10 = 3毫米 */
    private Integer xLineHeight;

    /** y轴垂直扩展 字符高度 10 = 3毫米 */
    private Integer yLineHeight;

    /** 打印的数据 */
    private String printData;

    /** tff字体文件名称(包含后缀) */
    private String tffFileName;

    public PTXLabelText() {
    }

    public PTXLabelText(Integer textType, Integer spaceBetween, Integer x, Integer y, Integer xLineHeight, Integer yLineHeight, String printData) {
        this.textType = textType;
        this.spaceBetween = spaceBetween;
        this.x = x;
        this.y = y;
        this.xLineHeight = xLineHeight;
        this.yLineHeight = yLineHeight;
        this.printData = printData;
    }

    public PTXLabelText(Integer textType, Integer spaceBetween, Integer x, Integer y, Integer xLineHeight, Integer yLineHeight, String printData, String tffFileName) {
        this.textType = textType;
        this.spaceBetween = spaceBetween;
        this.x = x;
        this.y = y;
        this.xLineHeight = xLineHeight;
        this.yLineHeight = yLineHeight;
        this.printData = printData;
        this.tffFileName = tffFileName;
    }

    public Integer getTextType() {
        return textType;
    }

    public void setTextType(Integer textType) {
        this.textType = textType;
    }

    public Integer getSpaceBetween() {
        return spaceBetween;
    }

    public void setSpaceBetween(Integer spaceBetween) {
        this.spaceBetween = spaceBetween;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public Integer getY() {
        return y;
    }

    public void setY(Integer y) {
        this.y = y;
    }

    public Integer getxLineHeight() {
        return xLineHeight;
    }

    public void setxLineHeight(Integer xLineHeight) {
        this.xLineHeight = xLineHeight;
    }

    public Integer getyLineHeight() {
        return yLineHeight;
    }

    public void setyLineHeight(Integer yLineHeight) {
        this.yLineHeight = yLineHeight;
    }

    public String getPrintData() {
        return printData;
    }

    public void setPrintData(String printData) {
        this.printData = printData;
    }

    public String getTffFileName() {
        return tffFileName;
    }

    public void setTffFileName(String tffFileName) {
        this.tffFileName = tffFileName;
    }
}
